REST API to create a backup of DLP Policy

Prev Next

You can use this REST API call to perform a backup of the current DLP Policy.

POST request URL

https://<epo_server_name:port>/rest/dlp/backup/doBackup?includeOpg=true&password=Admins@123

Where, epo_server_name:port is the server IP address and port number.

Request Parameters

Parameter name

Description

Required

Values

Authorization

User credentials for ePO - On-prem.

Required

Form Parameters (x-www-form-urlencoded)

Parameter name

Description

Required

Values

includeOpg

Optional

String

password

Password required to retrieve the backup file.

Optional

String



Sample POST request URL

https://172.27.108.53:8443/rest/dlp/backup/doBackup?includeOpg=true&password=Admins@123

{

"includeOpg": "true"

"password": "Admins@123"

}

Sample cURL command

curl --location --request POST 'https://172.27.108.53:8443/rest/dlp/backup/doBackup?includeOpg=true&password=Admins@123' -u '<user>:<password>'

--data-raw '{

"includeOpg": "true

"password": "Admins@123"}'

Sample request parameters (x-www-form-urlencoded)

{
      "includeOpg": "true"
      "password": "Admins@123"
}

The password must contain at least 10 characters, one uppercase letter, one lowercase letter, one number, and one symbol. For example, Admins@123

Sample response

You can save backup file returned as part of API response in postman.

Status and error codes

List of HTTP status codes returned for the query.

Code

Description

200 OK

Returns a message after a successful backup of the file.

404 Not Found

Incorrect ePO - On-prem URL.

500 Internal Server Error

An error on the server side that failed the request. See the ePO - On-prem orion.log file for more details about the error.